<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <PropertyGroup>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
        <PackageReference Include="RavenDB.Client" Version="5.3.103" />
    </ItemGroup>

    <ItemGroup Label="Serilog" >
        <PackageReference Include="Serilog.AspNetCore" Version="6.0.1" />
        <PackageReference Include="Serilog.Sinks.Elasticsearch" Version="8.4.1" />
        <PackageReference Include="Elastic.Apm.NetCoreAll" Version="1.16.1" />
        <PackageReference Include="Serilog.Enrichers.Environment" Version="2.2.0" />
        <PackageReference Include="Serilog.Exceptions" Version="8.3.0" />
    </ItemGroup>    

    <ItemGroup>
      <ProjectReference Include="..\DotChain\DotChain.csproj" />
    </ItemGroup>
</Project>
